FLANG

Public Member Functions | List of all members
Fortran::runtime::io::IoStatementState Class Reference

## Public Member Functions
template<typename A >
| IoStatementState (A &x)
std::optional< DataEdit > | GetNextDataEdit (int=1)
bool | Emit (const char *, std::size_t)
std::optional< char32_t > | GetCurrentChar ()
bool | AdvanceRecord (int=1)
void | BackspaceRecord ()
void | HandleRelativePosition (std::int64_t)
int | EndIoStatement ()
ConnectionState & | GetConnectionState ()
IoErrorHandler & | GetIoErrorHandler () const
ExternalFileUnit * | GetExternalFileUnit () const
MutableModes & | mutableModes ()
template<typename A >
A * | get_if () const
bool | EmitRepeated (char, std::size_t)
bool | EmitField (const char *, std::size_t length, std::size_t width)
std::optional< char32_t > | SkipSpaces (std::optional< int > &remaining)
std::optional< char32_t > | NextInField (std::optional< int > &remaining)
std::optional< char32_t > | GetNextNonBlank ()

The documentation for this class was generated from the following files:

- runtime/io-stmt.h
- runtime/io-stmt.cpp